---
title: llarp::rpc::MessageHandler

---

# llarp::rpc::MessageHandler





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[MessageHandler](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-messagehandler)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| | **[MessageHandler](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-messagehandler)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & _r) |
| | **[~MessageHandler](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-~messagehandler)**() =default |
| void | **[SetMessage](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-setmessage)**(oxenmq::Message & _msg) |
| void | **[ClearMessage](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-clearmessage)**() |
| void | **[SendMessageResponse](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-sendmessageresponse)**(oxenmq::Message msg) |
| void | **[SendMessageError](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-sendmessageerror)**() |
| template <typename Result_t \> <br>std::string | **[CreateJSONResponse](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-createjsonresponse)**(Result_t result) |
| std::string | **[CreateJSONError](Classes/structllarp_1_1rpc_1_1MessageHandler.md#function-createjsonerror)**(std::string_view msg) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| oxenmq::Message & | **[msg](Classes/structllarp_1_1rpc_1_1MessageHandler.md#variable-msg)**  |
| [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) &const | **[m_Router](Classes/structllarp_1_1rpc_1_1MessageHandler.md#variable-m-router)**  |

## Public Functions Documentation

### function MessageHandler

```cpp
explicit MessageHandler(
    AbstractRouter & 
)
```


### function MessageHandler

```cpp
inline explicit MessageHandler(
    AbstractRouter & _r
)
```


### function ~MessageHandler

```cpp
~MessageHandler() =default
```


### function SetMessage

```cpp
inline void SetMessage(
    oxenmq::Message & _msg
)
```


### function ClearMessage

```cpp
inline void ClearMessage()
```


### function SendMessageResponse

```cpp
void SendMessageResponse(
    oxenmq::Message msg
)
```


### function SendMessageError

```cpp
void SendMessageError()
```


### function CreateJSONResponse

```cpp
template <typename Result_t >
std::string CreateJSONResponse(
    Result_t result
)
```


### function CreateJSONError

```cpp
std::string CreateJSONError(
    std::string_view msg
)
```


## Public Attributes Documentation

### variable msg

```cpp
oxenmq::Message & msg;
```


### variable m_Router

```cpp
AbstractRouter &const m_Router;
```


-------------------------------

Updated on 2023-01-11 at 19:02:44 +0000